SHARE
TWEET

Untitled

a guest Jun 26th, 2019 63 Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
  1. root@orangepi3:~/github/substrate-node-joystream# docker build -t substrate-node-joystream .
  2. Sending build context to Docker daemon  2.589MB
  3. Step 1/7 : FROM magicstone1412/rustup:latest AS builder
  4.  ---> 8d686aaf8809
  5. Step 2/7 : LABEL description="Joystream substrate node"
  6.  ---> Running in 33c871fa7bb3
  7. Removing intermediate container 33c871fa7bb3
  8.  ---> 597b5914be0d
  9. Step 3/7 : WORKDIR /substrate-node-joystream
  10.  ---> Running in 0172889c0efd
  11. Removing intermediate container 0172889c0efd
  12.  ---> cedf7528b725
  13. Step 4/7 : COPY . /substrate-node-joystream
  14.  ---> 4c08d40ce420
  15. Step 5/7 : ENV TERM=xterm
  16.  ---> Running in 985b2f2450cd
  17. Removing intermediate container 985b2f2450cd
  18.  ---> bff4d5efc095
  19. Step 6/7 : RUN apt-get update && apt-get install git clang -y     && ./init-wasm.sh     && git clone https://github.com/Joystream/substrate-runtime-joystream.git     && ./build-runtime.sh     && cargo build --release     && cargo install --path ./     && apt-get remove git clang -y     && rm -rf /var/lib/apt/lists/*
  20.  ---> Running in 2d6e9a97fa20
  21. Get:1 http://security-cdn.debian.org/debian-security stretch/updates InRelease [94.3 kB]
  22. Get:2 http://security-cdn.debian.org/debian-security stretch/updates/main arm64 Packages [479 kB]
  23. Ign:3 http://cdn-fastly.deb.debian.org/debian stretch InRelease
  24. Get:4 http://cdn-fastly.deb.debian.org/debian stretch-updates InRelease [91.0 kB]
  25. Get:6 http://cdn-fastly.deb.debian.org/debian stretch-updates/main arm64 Packages [27.1 kB]
  26. Get:5 http://cdn-fastly.deb.debian.org/debian stretch Release [118 kB]
  27. Get:7 http://cdn-fastly.deb.debian.org/debian stretch Release.gpg [2434 B]
  28. Get:8 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 Packages [6924 kB]
  29. Fetched 7736 kB in 7s (1024 kB/s)
  30. Reading package lists...
  31. Reading package lists...
  32. Building dependency tree...
  33. Reading state information...
  34. The following additional packages will be installed:
  35.   binfmt-support clang-3.8 git-man less libbsd0 libclang-common-3.8-dev
  36.   libclang1-3.8 libcurl3-gnutls libedit2 liberror-perl libexpat1 libffi-dev
  37.   libgpm2 libjsoncpp1 libllvm3.8 libncurses5 libobjc-6-dev libobjc4
  38.   libpipeline1 libpopt0 libpython-stdlib libpython2.7-minimal
  39.   libpython2.7-stdlib libreadline7 libsqlite3-0 libtinfo-dev libx11-6
  40.   libx11-data libxau6 libxcb1 libxdmcp6 libxext6 libxmuu1 llvm-3.8
  41.   llvm-3.8-dev llvm-3.8-runtime mime-support openssh-client python
  42.   python-minimal python2.7 python2.7-minimal readline-common rsync xauth
  43. Suggested packages:
  44.   gnustep gnustep-devel clang-3.8-doc gettext-base git-daemon-run
  45.   | git-daemon-sysvinit git-doc git-el git-email git-gui gitk gitweb git-arch
  46.   git-cvs git-mediawiki git-svn gpm llvm-3.8-doc keychain libpam-ssh
  47.   monkeysphere ssh-askpass python-doc python-tk python2.7-doc readline-doc
  48.   openssh-server
  49. The following NEW packages will be installed:
  50.   binfmt-support clang clang-3.8 git git-man less libbsd0
  51.   libclang-common-3.8-dev libclang1-3.8 libcurl3-gnutls libedit2 liberror-perl
  52.   libexpat1 libffi-dev libgpm2 libjsoncpp1 libllvm3.8 libncurses5
  53.   libobjc-6-dev libobjc4 libpipeline1 libpopt0 libpython-stdlib
  54.   libpython2.7-minimal libpython2.7-stdlib libreadline7 libsqlite3-0
  55.   libtinfo-dev libx11-6 libx11-data libxau6 libxcb1 libxdmcp6 libxext6
  56.   libxmuu1 llvm-3.8 llvm-3.8-dev llvm-3.8-runtime mime-support openssh-client
  57.   python python-minimal python2.7 python2.7-minimal readline-common rsync
  58.   xauth
  59. 0 upgraded, 47 newly installed, 0 to remove and 0 not upgraded.
  60. Need to get 60.6 MB of archives.
  61. After this operation, 302 MB of additional disk space will be used.
  62. Get:1 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libpython2.7-minimal arm64 2.7.13-2+deb9u3 [389 kB]
  63. Get:2 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 python2.7-minimal arm64 2.7.13-2+deb9u3 [1213 kB]
  64. Get:3 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 python-minimal arm64 2.7.13-2 [40.5 kB]
  65. Get:4 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 mime-support all 3.60 [36.7 kB]
  66. Get:5 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libexpat1 arm64 2.2.0-2+deb9u1 [71.6 kB]
  67. Get:6 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 readline-common all 7.0-3 [70.4 kB]
  68. Get:7 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libreadline7 arm64 7.0-3 [131 kB]
  69. Get:8 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libsqlite3-0 arm64 3.16.2-5+deb9u1 [495 kB]
  70. Get:9 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libpython2.7-stdlib arm64 2.7.13-2+deb9u3 [1832 kB]
  71. Get:10 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 python2.7 arm64 2.7.13-2+deb9u3 [285 kB]
  72. Get:11 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libpython-stdlib arm64 2.7.13-2 [20.0 kB]
  73. Get:12 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 python arm64 2.7.13-2 [154 kB]
  74. Get:13 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libcurl3-gnutls arm64 7.52.1-5+deb9u9 [253 kB]
  75. Get:14 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 liberror-perl all 0.17024-1 [26.9 kB]
  76. Get:15 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 git-man all 1:2.11.0-3+deb9u4 [1433 kB]
  77. Get:16 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 git arm64 1:2.11.0-3+deb9u4 [3779 kB]
  78. Get:17 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libxau6 arm64 1:1.0.8-1 [19.2 kB]
  79. Get:18 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libpipeline1 arm64 1.4.1-2 [25.0 kB]
  80. Get:19 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libpopt0 arm64 1.16-10+b2 [45.7 kB]
  81. Get:20 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 less arm64 481-2.1 [116 kB]
  82. Get:21 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libbsd0 arm64 0.8.3-1 [77.8 kB]
  83. Get:22 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libncurses5 arm64 6.0+20161126-1+deb9u2 [75.4 kB]
  84. Get:23 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libedit2 arm64 3.1-20160903-3 [71.6 kB]
  85. Get:24 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libgpm2 arm64 1.20.4-6.2+b1 [33.3 kB]
  86. Get:25 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 openssh-client arm64 1:7.4p1-10+deb9u6 [699 kB]
  87. Get:26 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 binfmt-support arm64 2.1.6-2 [53.6 kB]
  88. Get:27 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libllvm3.8 arm64 1:3.8.1-24 [8617 kB]
  89. Get:28 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libclang1-3.8 arm64 1:3.8.1-24 [3421 kB]
  90. Get:29 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libobjc4 arm64 6.3.0-18+deb9u1 [35.1 kB]
  91. Get:30 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libobjc-6-dev arm64 6.3.0-18+deb9u1 [172 kB]
  92. Get:31 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libclang-common-3.8-dev arm64 1:3.8.1-24 [1394 kB]
  93. Get:32 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 clang-3.8 arm64 1:3.8.1-24 [18.3 MB]
  94. Get:33 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 clang arm64 1:3.8-36 [5810 B]
  95. Get:34 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libffi-dev arm64 3.2.1-6 [156 kB]
  96. Get:35 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libtinfo-dev arm64 6.0+20161126-1+deb9u2 [72.5 kB]
  97. Get:36 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libxdmcp6 arm64 1:1.1.2-3 [25.4 kB]
  98. Get:37 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libxcb1 arm64 1.12-1 [126 kB]
  99. Get:38 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libx11-data all 2:1.6.4-3+deb9u1 [287 kB]
  100. Get:39 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libx11-6 arm64 2:1.6.4-3+deb9u1 [688 kB]
  101. Get:40 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libxext6 arm64 2:1.3.3-1+b2 [48.6 kB]
  102. Get:41 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libxmuu1 arm64 2:1.1.2-2 [23.2 kB]
  103. Get:42 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 llvm-3.8-runtime arm64 1:3.8.1-24 [79.3 kB]
  104. Get:43 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 llvm-3.8 arm64 1:3.8.1-24 [1311 kB]
  105. Get:44 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 libjsoncpp1 arm64 1.7.4-3 [71.0 kB]
  106. Get:45 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 llvm-3.8-dev arm64 1:3.8.1-24 [13.9 MB]
  107. Get:46 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 rsync arm64 3.1.2-1+deb9u2 [367 kB]
  108. Get:47 http://cdn-fastly.deb.debian.org/debian stretch/main arm64 xauth arm64 1:1.0.9-1+b2 [37.0 kB]
  109. debconf: delaying package configuration, since apt-utils is not installed
  110. Fetched 60.6 MB in 17s (3391 kB/s)
  111. Selecting previously unselected package libpython2.7-minimal:arm64.
  112. (Reading database ... 12808 files and directories currently installed.)
  113. Preparing to unpack .../00-libpython2.7-minimal_2.7.13-2+deb9u3_arm64.deb ...
  114. Unpacking libpython2.7-minimal:arm64 (2.7.13-2+deb9u3) ...
  115. Selecting previously unselected package python2.7-minimal.
  116. Preparing to unpack .../01-python2.7-minimal_2.7.13-2+deb9u3_arm64.deb ...
  117. Unpacking python2.7-minimal (2.7.13-2+deb9u3) ...
  118. Selecting previously unselected package python-minimal.
  119. Preparing to unpack .../02-python-minimal_2.7.13-2_arm64.deb ...
  120. Unpacking python-minimal (2.7.13-2) ...
  121. Selecting previously unselected package mime-support.
  122. Preparing to unpack .../03-mime-support_3.60_all.deb ...
  123. Unpacking mime-support (3.60) ...
  124. Selecting previously unselected package libexpat1:arm64.
  125. Preparing to unpack .../04-libexpat1_2.2.0-2+deb9u1_arm64.deb ...
  126. Unpacking libexpat1:arm64 (2.2.0-2+deb9u1) ...
  127. Selecting previously unselected package readline-common.
  128. Preparing to unpack .../05-readline-common_7.0-3_all.deb ...
  129. Unpacking readline-common (7.0-3) ...
  130. Selecting previously unselected package libreadline7:arm64.
  131. Preparing to unpack .../06-libreadline7_7.0-3_arm64.deb ...
  132. Unpacking libreadline7:arm64 (7.0-3) ...
  133. Selecting previously unselected package libsqlite3-0:arm64.
  134. Preparing to unpack .../07-libsqlite3-0_3.16.2-5+deb9u1_arm64.deb ...
  135. Unpacking libsqlite3-0:arm64 (3.16.2-5+deb9u1) ...
  136. Selecting previously unselected package libpython2.7-stdlib:arm64.
  137. Preparing to unpack .../08-libpython2.7-stdlib_2.7.13-2+deb9u3_arm64.deb ...
  138. Unpacking libpython2.7-stdlib:arm64 (2.7.13-2+deb9u3) ...
  139. Selecting previously unselected package python2.7.
  140. Preparing to unpack .../09-python2.7_2.7.13-2+deb9u3_arm64.deb ...
  141. Unpacking python2.7 (2.7.13-2+deb9u3) ...
  142. Selecting previously unselected package libpython-stdlib:arm64.
  143. Preparing to unpack .../10-libpython-stdlib_2.7.13-2_arm64.deb ...
  144. Unpacking libpython-stdlib:arm64 (2.7.13-2) ...
  145. Setting up libpython2.7-minimal:arm64 (2.7.13-2+deb9u3) ...
  146. Setting up python2.7-minimal (2.7.13-2+deb9u3) ...
  147. Linking and byte-compiling packages for runtime python2.7...
  148. Setting up python-minimal (2.7.13-2) ...
  149. Selecting previously unselected package python.
  150. (Reading database ... 13620 files and directories currently installed.)
  151. Preparing to unpack .../00-python_2.7.13-2_arm64.deb ...
  152. Unpacking python (2.7.13-2) ...
  153. Selecting previously unselected package libcurl3-gnutls:arm64.
  154. Preparing to unpack .../01-libcurl3-gnutls_7.52.1-5+deb9u9_arm64.deb ...
  155. Unpacking libcurl3-gnutls:arm64 (7.52.1-5+deb9u9) ...
  156. Selecting previously unselected package liberror-perl.
  157. Preparing to unpack .../02-liberror-perl_0.17024-1_all.deb ...
  158. Unpacking liberror-perl (0.17024-1) ...
  159. Selecting previously unselected package git-man.
  160. Preparing to unpack .../03-git-man_1%3a2.11.0-3+deb9u4_all.deb ...
  161. Unpacking git-man (1:2.11.0-3+deb9u4) ...
  162. Selecting previously unselected package git.
  163. Preparing to unpack .../04-git_1%3a2.11.0-3+deb9u4_arm64.deb ...
  164. Unpacking git (1:2.11.0-3+deb9u4) ...
  165. Selecting previously unselected package libxau6:arm64.
  166. Preparing to unpack .../05-libxau6_1%3a1.0.8-1_arm64.deb ...
  167. Unpacking libxau6:arm64 (1:1.0.8-1) ...
  168. Selecting previously unselected package libpipeline1:arm64.
  169. Preparing to unpack .../06-libpipeline1_1.4.1-2_arm64.deb ...
  170. Unpacking libpipeline1:arm64 (1.4.1-2) ...
  171. Selecting previously unselected package libpopt0:arm64.
  172. Preparing to unpack .../07-libpopt0_1.16-10+b2_arm64.deb ...
  173. Unpacking libpopt0:arm64 (1.16-10+b2) ...
  174. Selecting previously unselected package less.
  175. Preparing to unpack .../08-less_481-2.1_arm64.deb ...
  176. Unpacking less (481-2.1) ...
  177. Selecting previously unselected package libbsd0:arm64.
  178. Preparing to unpack .../09-libbsd0_0.8.3-1_arm64.deb ...
  179. Unpacking libbsd0:arm64 (0.8.3-1) ...
  180. Selecting previously unselected package libncurses5:arm64.
  181. Preparing to unpack .../10-libncurses5_6.0+20161126-1+deb9u2_arm64.deb ...
  182. Unpacking libncurses5:arm64 (6.0+20161126-1+deb9u2) ...
  183. Selecting previously unselected package libedit2:arm64.
  184. Preparing to unpack .../11-libedit2_3.1-20160903-3_arm64.deb ...
  185. Unpacking libedit2:arm64 (3.1-20160903-3) ...
  186. Selecting previously unselected package libgpm2:arm64.
  187. Preparing to unpack .../12-libgpm2_1.20.4-6.2+b1_arm64.deb ...
  188. Unpacking libgpm2:arm64 (1.20.4-6.2+b1) ...
  189. Selecting previously unselected package openssh-client.
  190. Preparing to unpack .../13-openssh-client_1%3a7.4p1-10+deb9u6_arm64.deb ...
  191. Unpacking openssh-client (1:7.4p1-10+deb9u6) ...
  192. Selecting previously unselected package binfmt-support.
  193. Preparing to unpack .../14-binfmt-support_2.1.6-2_arm64.deb ...
  194. Unpacking binfmt-support (2.1.6-2) ...
  195. Selecting previously unselected package libllvm3.8:arm64.
  196. Preparing to unpack .../15-libllvm3.8_1%3a3.8.1-24_arm64.deb ...
  197. Unpacking libllvm3.8:arm64 (1:3.8.1-24) ...
  198. Selecting previously unselected package libclang1-3.8:arm64.
  199. Preparing to unpack .../16-libclang1-3.8_1%3a3.8.1-24_arm64.deb ...
  200. Unpacking libclang1-3.8:arm64 (1:3.8.1-24) ...
  201. Selecting previously unselected package libobjc4:arm64.
  202. Preparing to unpack .../17-libobjc4_6.3.0-18+deb9u1_arm64.deb ...
  203. Unpacking libobjc4:arm64 (6.3.0-18+deb9u1) ...
  204. Selecting previously unselected package libobjc-6-dev:arm64.
  205. Preparing to unpack .../18-libobjc-6-dev_6.3.0-18+deb9u1_arm64.deb ...
  206. Unpacking libobjc-6-dev:arm64 (6.3.0-18+deb9u1) ...
  207. Selecting previously unselected package libclang-common-3.8-dev.
  208. Preparing to unpack .../19-libclang-common-3.8-dev_1%3a3.8.1-24_arm64.deb ...
  209. Unpacking libclang-common-3.8-dev (1:3.8.1-24) ...
  210. Selecting previously unselected package clang-3.8.
  211. Preparing to unpack .../20-clang-3.8_1%3a3.8.1-24_arm64.deb ...
  212. Unpacking clang-3.8 (1:3.8.1-24) ...
  213. Selecting previously unselected package clang.
  214. Preparing to unpack .../21-clang_1%3a3.8-36_arm64.deb ...
  215. Unpacking clang (1:3.8-36) ...
  216. Selecting previously unselected package libffi-dev:arm64.
  217. Preparing to unpack .../22-libffi-dev_3.2.1-6_arm64.deb ...
  218. Unpacking libffi-dev:arm64 (3.2.1-6) ...
  219. Selecting previously unselected package libtinfo-dev:arm64.
  220. Preparing to unpack .../23-libtinfo-dev_6.0+20161126-1+deb9u2_arm64.deb ...
  221. Unpacking libtinfo-dev:arm64 (6.0+20161126-1+deb9u2) ...
  222. Selecting previously unselected package libxdmcp6:arm64.
  223. Preparing to unpack .../24-libxdmcp6_1%3a1.1.2-3_arm64.deb ...
  224. Unpacking libxdmcp6:arm64 (1:1.1.2-3) ...
  225. Selecting previously unselected package libxcb1:arm64.
  226. Preparing to unpack .../25-libxcb1_1.12-1_arm64.deb ...
  227. Unpacking libxcb1:arm64 (1.12-1) ...
  228. Selecting previously unselected package libx11-data.
  229. Preparing to unpack .../26-libx11-data_2%3a1.6.4-3+deb9u1_all.deb ...
  230. Unpacking libx11-data (2:1.6.4-3+deb9u1) ...
  231. Selecting previously unselected package libx11-6:arm64.
  232. Preparing to unpack .../27-libx11-6_2%3a1.6.4-3+deb9u1_arm64.deb ...
  233. Unpacking libx11-6:arm64 (2:1.6.4-3+deb9u1) ...
  234. Selecting previously unselected package libxext6:arm64.
  235. Preparing to unpack .../28-libxext6_2%3a1.3.3-1+b2_arm64.deb ...
  236. Unpacking libxext6:arm64 (2:1.3.3-1+b2) ...
  237. Selecting previously unselected package libxmuu1:arm64.
  238. Preparing to unpack .../29-libxmuu1_2%3a1.1.2-2_arm64.deb ...
  239. Unpacking libxmuu1:arm64 (2:1.1.2-2) ...
  240. Selecting previously unselected package llvm-3.8-runtime.
  241. Preparing to unpack .../30-llvm-3.8-runtime_1%3a3.8.1-24_arm64.deb ...
  242. Unpacking llvm-3.8-runtime (1:3.8.1-24) ...
  243. Selecting previously unselected package llvm-3.8.
  244. Preparing to unpack .../31-llvm-3.8_1%3a3.8.1-24_arm64.deb ...
  245. Unpacking llvm-3.8 (1:3.8.1-24) ...
  246. Selecting previously unselected package libjsoncpp1:arm64.
  247. Preparing to unpack .../32-libjsoncpp1_1.7.4-3_arm64.deb ...
  248. Unpacking libjsoncpp1:arm64 (1.7.4-3) ...
  249. Selecting previously unselected package llvm-3.8-dev.
  250. Preparing to unpack .../33-llvm-3.8-dev_1%3a3.8.1-24_arm64.deb ...
  251. Unpacking llvm-3.8-dev (1:3.8.1-24) ...
  252. Selecting previously unselected package rsync.
  253. Preparing to unpack .../34-rsync_3.1.2-1+deb9u2_arm64.deb ...
  254. Unpacking rsync (3.1.2-1+deb9u2) ...
  255. Selecting previously unselected package xauth.
  256. Preparing to unpack .../35-xauth_1%3a1.0.9-1+b2_arm64.deb ...
  257. Unpacking xauth (1:1.0.9-1+b2) ...
  258. Setting up libncurses5:arm64 (6.0+20161126-1+deb9u2) ...
  259. Setting up readline-common (7.0-3) ...
  260. Setting up git-man (1:2.11.0-3+deb9u4) ...
  261. Setting up libpopt0:arm64 (1.16-10+b2) ...
  262. Setting up libexpat1:arm64 (2.2.0-2+deb9u1) ...
  263. Setting up libobjc4:arm64 (6.3.0-18+deb9u1) ...
  264. Setting up less (481-2.1) ...
  265. debconf: unable to initialize frontend: Dialog
  266. debconf: (No usable dialog-like program is installed, so the dialog based frontend cannot be used. at /usr/share/perl5/Debconf/FrontEnd/Dialog.pm line 76.)
  267. debconf: falling back to frontend: Readline
  268. Setting up mime-support (3.60) ...
  269. Setting up liberror-perl (0.17024-1) ...
  270. Setting up libgpm2:arm64 (1.20.4-6.2+b1) ...
  271. Setting up libreadline7:arm64 (7.0-3) ...
  272. Setting up libcurl3-gnutls:arm64 (7.52.1-5+deb9u9) ...
  273. Setting up libtinfo-dev:arm64 (6.0+20161126-1+deb9u2) ...
  274. Setting up libffi-dev:arm64 (3.2.1-6) ...
  275. Setting up libpipeline1:arm64 (1.4.1-2) ...
  276. Setting up libbsd0:arm64 (0.8.3-1) ...
  277. Setting up rsync (3.1.2-1+deb9u2) ...
  278. invoke-rc.d: could not determine current runlevel
  279. invoke-rc.d: policy-rc.d denied execution of restart.
  280. Processing triggers for libc-bin (2.24-11+deb9u4) ...
  281. Setting up libobjc-6-dev:arm64 (6.3.0-18+deb9u1) ...
  282. Setting up libsqlite3-0:arm64 (3.16.2-5+deb9u1) ...
  283. Setting up libxdmcp6:arm64 (1:1.1.2-3) ...
  284. Setting up git (1:2.11.0-3+deb9u4) ...
  285. Setting up libx11-data (2:1.6.4-3+deb9u1) ...
  286. Setting up libpython2.7-stdlib:arm64 (2.7.13-2+deb9u3) ...
  287. Setting up libxau6:arm64 (1:1.0.8-1) ...
  288. Setting up libjsoncpp1:arm64 (1.7.4-3) ...
  289. Setting up libedit2:arm64 (3.1-20160903-3) ...
  290. Setting up binfmt-support (2.1.6-2) ...
  291. mount: permission denied
  292. update-binfmts: warning: Couldn't mount the binfmt_misc filesystem on /proc/sys/fs/binfmt_misc.
  293. mount: permission denied
  294. update-binfmts: warning: Couldn't mount the binfmt_misc filesystem on /proc/sys/fs/binfmt_misc.
  295. invoke-rc.d: could not determine current runlevel
  296. invoke-rc.d: policy-rc.d denied execution of start.
  297. Setting up libllvm3.8:arm64 (1:3.8.1-24) ...
  298. Setting up libclang-common-3.8-dev (1:3.8.1-24) ...
  299. Setting up libclang1-3.8:arm64 (1:3.8.1-24) ...
  300. Setting up python2.7 (2.7.13-2+deb9u3) ...
  301. Setting up libpython-stdlib:arm64 (2.7.13-2) ...
  302. Setting up clang-3.8 (1:3.8.1-24) ...
  303. Setting up llvm-3.8-runtime (1:3.8.1-24) ...
  304. mount: permission denied
  305. update-binfmts: warning: Couldn't mount the binfmt_misc filesystem on /proc/sys/fs/binfmt_misc.
  306. Setting up llvm-3.8 (1:3.8.1-24) ...
  307. Setting up openssh-client (1:7.4p1-10+deb9u6) ...
  308. Setting up libxcb1:arm64 (1.12-1) ...
  309. Setting up python (2.7.13-2) ...
  310. Setting up clang (1:3.8-36) ...
  311. Setting up libx11-6:arm64 (2:1.6.4-3+deb9u1) ...
  312. Setting up llvm-3.8-dev (1:3.8.1-24) ...
  313. Setting up libxmuu1:arm64 (2:1.1.2-2) ...
  314. Setting up libxext6:arm64 (2:1.3.3-1+b2) ...
  315. Setting up xauth (1:1.0.9-1+b2) ...
  316. Processing triggers for libc-bin (2.24-11+deb9u4) ...
  317. *** Initialising WASM build environment
  318. info: syncing channel updates for 'nightly-aarch64-unknown-linux-gnu'
  319.  
  320.   nightly-aarch64-unknown-linux-gnu unchanged - rustc 1.37.0-nightly (5f9c0448d 2019-06-25)
  321.  
  322. info: checking for self-updates
  323. info: syncing channel updates for 'stable-aarch64-unknown-linux-gnu'
  324.  
  325.   stable-aarch64-unknown-linux-gnu unchanged - rustc 1.35.0 (3c235d560 2019-05-20)
  326.  
  327. info: checking for self-updates
  328. info: downloading component 'rust-std' for 'wasm32-unknown-unknown'
  329. info: installing component 'rust-std' for 'wasm32-unknown-unknown'
  330.     Updating git repository `https://github.com/alexcrichton/wasm-gc`
  331.   Installing wasm-gc v0.1.6 (https://github.com/alexcrichton/wasm-gc#deb1c6dc)
  332.     Updating crates.io index
  333.  Downloading crates ...
  334.   Downloaded env_logger v0.5.13
  335.   Downloaded getopts v0.2.19
  336.   Downloaded log v0.4.6
  337.   Downloaded humantime v1.2.0
  338.   Downloaded termcolor v1.0.5
  339.   Downloaded rustc-demangle v0.1.15
  340.   Downloaded parity-wasm v0.32.0
  341.   Downloaded quick-error v1.2.2
  342.   Downloaded cfg-if v0.1.9
  343.   Downloaded byteorder v1.3.2
  344.   Downloaded atty v0.2.11
  345.   Downloaded unicode-width v0.1.5
  346.   Downloaded libc v0.2.58
  347.    Compiling libc v0.2.58
  348.    Compiling byteorder v1.3.2
  349.    Compiling cfg-if v0.1.9
  350.    Compiling quick-error v1.2.2
  351.    Compiling rustc-demangle v0.1.15
  352.    Compiling unicode-width v0.1.5
  353.    Compiling termcolor v1.0.5
  354.    Compiling log v0.4.6
  355.    Compiling humantime v1.2.0
  356.    Compiling getopts v0.2.19
  357.    Compiling atty v0.2.11
  358.    Compiling env_logger v0.5.13
  359.    Compiling parity-wasm v0.32.0
  360.    Compiling wasm-gc-api v0.1.11 (https://github.com/alexcrichton/wasm-gc#deb1c6dc)
  361.    Compiling wasm-gc v0.1.6 (https://github.com/alexcrichton/wasm-gc#deb1c6dc)
  362. error: linking with `cc` failed: exit code: 1
  363.   |
  364.   = note: "cc" "-Wl,--as-needed" "-Wl,-z,noexecstack" "-Wl,--eh-frame-hdr" "-nostdlib" "/root/.rustup/toolchains/nightly-aarch64-unknown-linux-gnu/lib/rustlib/aarch64-unknown-linux-musl/lib/crt1.o" "/root/.rustup/toolchains/nightly-aarch64-unknown-linux-gnu/lib/rustlib/aarch64-unknown-linux-musl/lib/crti.o" "-L" "/root/.rustup/toolchains/nightly-aarch64-unknown-linux-gnu/lib/rustlib/aarch64-unknown-linux-musl/lib" "/tmp/cargo-installCG2mmi/aarch64-unknown-linux-musl/release/deps/wasm_gc-67cf9481d1989e16.wasm_gc.33odsot0-cgu.2.rcgu.o" "-o" "/tmp/cargo-installCG2mmi/aarch64-unknown-linux-musl/release/deps/wasm_gc-67cf9481d1989e16" "-Wl,--gc-sections" "-no-pie" "-Wl,-zrelro" "-Wl,-znow" "-Wl,-O1" "-nodefaultlibs" "-L" "/tmp/cargo-installCG2mmi/aarch64-unknown-linux-musl/release/deps" "-L" "/tmp/cargo-installCG2mmi/release/deps" "-L" "/root/.rustup/toolchains/nightly-aarch64-unknown-linux-gnu/lib/rustlib/aarch64-unknown-linux-musl/lib" "-Wl,--start-group" "-Wl,-Bstatic" "/tmp/rustcQksfT5/libbacktrace_sys-e9e878b55932eab5.rlib" "/tmp/rustcQksfT5/libunwind-8515ba5e9758441c.rlib" "/tmp/rustcQksfT5/liblibc-303367c382490d62.rlib" "-Wl,--end-group" "/root/.rustup/toolchains/nightly-aarch64-unknown-linux-gnu/lib/rustlib/aarch64-unknown-linux-musl/lib/libcompiler_builtins-a122224fcf6c7093.rlib" "-static" "-Wl,-Bdynamic" "/root/.rustup/toolchains/nightly-aarch64-unknown-linux-gnu/lib/rustlib/aarch64-unknown-linux-musl/lib/crtn.o"
  365.   = note: /tmp/rustcQksfT5/liblibc-303367c382490d62.rlib(vfprintf.lo): In function `fmt_fp':
  366.           /build/musl-1.1.20/src/stdio/vfprintf.c:209: undefined reference to `__addtf3'
  367.           /build/musl-1.1.20/src/stdio/vfprintf.c:224: undefined reference to `__multf3'
  368.           /build/musl-1.1.20/src/stdio/vfprintf.c:227: undefined reference to `__subtf3'
  369.           /build/musl-1.1.20/src/stdio/vfprintf.c:228: undefined reference to `__addtf3'
  370.           /build/musl-1.1.20/src/stdio/vfprintf.c:231: undefined reference to `__addtf3'
  371.           /build/musl-1.1.20/src/stdio/vfprintf.c:232: undefined reference to `__subtf3'
  372.           /build/musl-1.1.20/src/stdio/vfprintf.c:245: undefined reference to `__subtf3'
  373.           /build/musl-1.1.20/src/stdio/vfprintf.c:245: undefined reference to `__multf3'
  374.           /build/musl-1.1.20/src/stdio/vfprintf.c:267: undefined reference to `__multf3'
  375.           /build/musl-1.1.20/src/stdio/vfprintf.c:274: undefined reference to `__subtf3'
  376.           /build/musl-1.1.20/src/stdio/vfprintf.c:274: undefined reference to `__multf3'
  377.           /build/musl-1.1.20/src/stdio/vfprintf.c:330: undefined reference to `__addtf3'
  378.           /tmp/rustcQksfT5/liblibc-303367c382490d62.rlib(frexpl.lo): In function `frexpl':
  379.           /build/musl-1.1.20/src/math/frexpl.c:16: undefined reference to `__multf3'
  380.           collect2: error: ld returned 1 exit status
  381.  
  382.  
  383. error: aborting due to previous error
  384.  
  385. error: failed to compile `wasm-gc v0.1.6 (https://github.com/alexcrichton/wasm-gc#deb1c6dc)`, intermediate artifacts can be found at `/tmp/cargo-installCG2mmi`
  386.  
  387. Caused by:
  388.   Could not compile `wasm-gc`.
  389.  
  390. To learn more, run the command again with --verbose.
  391. The command '/bin/sh -c apt-get update && apt-get install git clang -y     && ./init-wasm.sh     && git clone https://github.com/Joystream/substrate-runtime-joystream.git     && ./build-runtime.sh     && cargo build --release     && cargo install --path ./     && apt-get remove git clang -y     && rm -rf /var/lib/apt/lists/*' returned a non-zero code: 101
RAW Paste Data
We use cookies for various purposes including analytics. By continuing to use Pastebin, you agree to our use of cookies as described in the Cookies Policy. OK, I Understand
 
Top